S3 Put Object ACL
  • 01 Jun 2023
  • Dark
    Light

S3 Put Object ACL

  • Dark
    Light

Article summary

PUThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/<your-key>?acl

Sets the access control list (ACL) permissions for a new or existing object in a bucket.

ACLs are set at the bucket level. The object ACL can only be set to the existing bucket ACL value.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

HEADERS

x-amz-acl

Required. Allowed values are "private" or "public-read".

PARAMS

acl

Must be present to put object ACL

versionId

Optional. Specifies a particular version of the object.

PATH VARIABLES

bucket

Required. The name of the bucket

key

Required. Key of the object to be written.

Example Request

curl --location --request PUT 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/object-1?acl=null' \
--header 'x-amz-acl: private'

Example Response

200 OK

Body

No response body

This request doesn't return any response body


Headers (9)

Cache-Control

max-age=0, no-cache, no-store

x-amz-request-id

56aa38410aaebdd

x-amz-version-id

4_z6145af89f355ac2f74ed0c1b_f416a807037a7ee2a_d20220128_m231233_c004_v0402000_t0056

x-amz-id-2

aMa41BGZMOZMztjUfY9JmpzRnZLRjZmIQ

Content-Length

0

Date

Fri, 28 Jan 2022 23:14:48 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?